Name:           bytecode-compatibility-transformer
Version:        1.7
Release:        6%{?dist}
Summary:        Evolve modular codebase without losing compatibility

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/bytecode-compatibility-transformer
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-%{version}.zip
# Taken from http://opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.jenkins-ci:constant-pool-scanner)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.apache.ivy:ivy)

BuildArch:      noarch

%description
This Java library provides a set of annotations and bytecode transformer
that helps you evolve modular codebase without losing compatibility.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_change_dep org.kohsuke:asm5 org.ow2.asm:asm-all
find . -name "*.java" -exec sed -i 's|org\.kohsuke\.asm5\.|org.objectweb.asm.|g' {} +

cp %{SOURCE1} .

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.jenkins-ci</groupId>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Michal Srb <msrb@redhat.com> - 1.7-1
- Update to upstream version 1.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Michal Srb <msrb@redhat.com> - 1.5-1
- Update to upstream version 1.5

* Mon Jun 09 2014 Michal Srb <msrb@redhat.com> - 1.4-4
- Fix FTBFS (Resolves: #1106021)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 02 2013 Michal Srb <msrb@redhat.com> - 1.4-2
- Port to asm4
- Regenerate BR

* Wed Nov 27 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Tue Oct 01 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

